<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsFeed extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('feeds', function (Blueprint $table) {
            $table->string('title')->nullable();
            $table->string('type')->nullable()->index();
            $table->text('body')->nullable();
            $table->decimal('price', 15, 2)->nullable();
            $table->string('slug')->nullable()->index();
            $table->tinyInteger('is_paid')->default(0);

            $table->dropColumn('feedable_type');
            $table->dropColumn('feedable_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('feeds', function (Blueprint $table) {
            $table->dropColumn('title');
            $table->dropColumn('body');
            $table->dropColumn('price');
            $table->dropColumn('is_paid');
            $table->morphs('feedable');
        });
    }
}
